#pragma once
#include <map>
struct M_NewPlayerQuestCFGData
{
	//任务ID
	int mID;
	//任务类型
	int mCompleteType;
	//描述
	std::string mDesc;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
	//完成计数
	int mCompleteCount;
	//任务图标资源
	std::string mResources;
	//后续任务id
	int mNextQuestID;
	//图标缩放*100
	int mScale;
	//初始化
	int mDefault;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//话费
	int mTelephoneBill;
	//任务icon
	std::string mTaskIcon;
	//奖励icon
	std::string mRewardIcon;
};

class M_NewPlayerQuestCFG
{
public:
private:
	static std::auto_ptr<M_NewPlayerQuestCFG> msSingleton;
public:
	int GetCount();
	const M_NewPlayerQuestCFGData* GetData(int ID);
	const std::map<int, M_NewPlayerQuestCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_NewPlayerQuestCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_NewPlayerQuestCFGData> mMapData;
};
